ghc-7.0.3: The GHC API

Debugger

Synopsis

- pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()
- showTerm :: GhcMonad m => Term -> m SDoc
- pprTypeAndContents :: GhcMonad m => [Id] -> m SDoc

# Documentation

pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()

The :print & friends commands

showTerm :: GhcMonad m => Term -> m SDoc

pprTypeAndContents :: GhcMonad m => [Id] -> m SDoc